/*
 PWM_Test.side
  Test opstelling van de PWM mode  
*/

#include "simpletools.h"                      // Include simple tools
// Global variables
volatile int pwmR  = 0;                       // global motor
volatile int pwmL  = 0;                       // speed variables

#define pwmB    3                           // Pin 3 left motor PWM
#define pwmA    1                           // Pin 1 Right motor PWM

int main ()                               // Main function
{
 #define PWM_PERIOD 85                      // 85 micro seconds
 
 pwm_start(PWM_PERIOD);                       // Start PWM Per. 85µs or 11,765KHz
 
 pwmR = 35;                                   // 35% duty cycle
 pwmL = 75;

// Turn on the motors at half speed
 pwm_set(pwmB, 0, pwmR);                      // pwmA or B is the prop pin
 pwm_set(pwmA, 1, pwmL);                      // pwmL or R is the pwm duty cycle
   
}
